#include "request.h"

void dialog( WINDOW *old_win, char *put_string )
{
  WINDOW *new_win;
  chtype c;
  int cols, lines, x_start, y_start;

  x_start = (screen_width / 2) - ((strlen(put_string)/2) + 3);
  cols    =  strlen(put_string) + 6;
  y_start = (screen_height / 2) - 2;
  lines   = 5;
  new_win = subwin( old_win, lines, cols, y_start, x_start );

  raw( );
  curs_set(0);
  werase( new_win );
  box( new_win, 0, 0 );
  mvwaddstr( new_win, 2, 3, put_string );
  wrefresh( new_win );
  
  while( (c = wgetch(new_win)) && (c != 27) && (c != 10) );
  
}


